Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.annotation
Class AnnotatedSourceTable

    java.lang.Object
      unity.annotation.SourceTable
          unity.annotation.AnnotatedSourceTable

    public class AnnotatedSourceTable

extends SourceTable

Constructor Summary
`AnnotatedSourceTable()`
`AnnotatedSourceTable(java.lang.String catName, java.lang.String schName, java.lang.String tblName, java.lang.String com, java.util.HashMap fields, SourceKey pkey)`

Method Summary
`void` | `addReferenceKey(AnnotatedSourceKey ask)`
`java.util.ArrayList` | `getReferenceKeys()`
`java.lang.String` | `getSemanticTableName()`
`org.w3c.dom.Node` | `importXML(org.w3c.dom.Node x)`
`void` | `setReferenceKeys(java.util.ArrayList refs)`
`void` | `setSemanticTableName(java.lang.String name)`
`java.lang.String` | `toString()`
`java.lang.String` | `toXML()`

Methods inherited from class unity.annotation.SourceTable
`addField, addForeignKey, addJoin, getCandidateKeys, getCatalogName, getField, getForeignKeys, getFullName, getFullSQLTableName, getJoins, getNameWithSchema, getNumTuples, getParentDatabase, getPrimaryKey, getSchemaName, getSourceFields, getSQLTableName, getSQLTableNameWithSchema, getTableName, isForeignKey, isForeignKey, isPrimaryKey, setCatalogName, setForeignKeys, setJoins, setNumTuples, setParentDatabase, setPrimaryKey, setSchemaName, setSourceFields, setTableName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnnotatedSourceTable

    public AnnotatedSourceTable()

### AnnotatedSourceTable

    public AnnotatedSourceTable(java.lang.String catName,
                                java.lang.String schName,
                                java.lang.String tblName,
                                java.lang.String com,
                                java.util.HashMap fields,
                                SourceKey pkey)

Method Detail

### getSemanticTableName

    public java.lang.String getSemanticTableName()

### setSemanticTableName

    public void setSemanticTableName(java.lang.String name)

### getReferenceKeys

    public java.util.ArrayList getReferenceKeys()

### setReferenceKeys

    public void setReferenceKeys(java.util.ArrayList refs)

### addReferenceKey

    public void addReferenceKey(AnnotatedSourceKey ask)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SourceTable`

### toXML

    public java.lang.String toXML()

  Overrides:
    `toXML` in class `SourceTable`

### importXML

    public org.w3c.dom.Node importXML(org.w3c.dom.Node x)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD